Bug 155954 - ImageMagick PNM heap overflow
Summary: ImageMagick PNM heap overflow
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=important,public=20050424,sour...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 01:31 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-20 07:44:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-04-26 01:31:47 UTC
+++ This bug was initially created as a clone of Bug #155953 +++

A heap based buffer overflow exists in ImageMagick's PNM decoder.

http://www.overflow.pl/adv/imheapoverflow.txt

Here's exploit (in the event the website vanishes)
perl -e 'print "P7\n1\n1 1\n1"' > vuln.pnm

Comment 1 Matthias Clasen 2005-04-26 14:54:27 UTC
I'm building 6.2.2 packages for Rawhide and FC3

Comment 2 Marius Andreiana 2005-08-20 07:44:49 UTC
Packages are in fc3 updates


Note You need to log in before you can comment on or make changes to this bug.